Subject: bug#66510: Unexpected `this-package(-native)-input`

From: Jake <[email-masked]>
Date: Tue, 9 Apr 2024 14:06:55 +0000

Hi Ulf

Has any progress been made on this?

I ran into the same thing, except with native-inputs instead of inputs.
I spent a fair amount of time trying to pin it down, since I don't know
much guile and it requires a combination of conditions to manifest.
Is it worth documenting this behaviour? Or do we expect a solution will be
implemented soon enough?

For now, is the following guideline accurate enough to avoid these
surprises?

If we inherit a package that uses (either directly or through inheritance)
this-package-native-input (or this-package-input), we should not modify the
native inputs (or inputs) via replace if substitute-keyword-arguments is
used anywhere in the inheritance chain.

Thanks
Jake